PIIX_INIT_ONE(9)

NAME
piix_init_one - Register PIIX ATA PCI device with kernel services

SYNOPSIS

int piix_init_one (struct pci_dev * pdev, const struct pci_device_id * ent);

ARGUMENTS

pdev
    PCI device to register

ent Entry in piix_pci_tbl matching with pdev

DESCRIPTION

Called from kernel PCI layer. We probe for combined mode (sigh), and then hand over control to libata, for it to do the rest.

LOCKING

Inherited from PCI layer (may sleep).

RETURNS

Zero on success, or -ERRNO value.

AUTHOR
Jeff Garzik.